getAiVisualBoxInfo(params: GetAiVisualBoxInfoParams)
Requires:
@tuya-miniapp/cloud-api≥1.0.5
Description
Query Visual Cube info
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| Yes | Request body |
Return Value
Type: Promise<AiVisualBox>
Visual Cube details (AiVisualBox: add visionBoxId and serviceStockId to AiVisualBoxInfoContent)
Referenced Types
interface
AiVisualBox| Property | Type | Description |
|---|---|---|
visionBoxId | string | Vision Cube ID |
serviceStockId | string | Associated service inventory ID |
visionBoxName | string | Visual Cube name |
visionBoxState | 0 | 1 | Vision Box status |
generateDescState | 0 | 1 | Image-to-text switch |
reportTypeList | ReportType[] | Supported report type list |
reportLangType | string | Report language type |
| Vision Box event list | ||
sceneType | SceneType | Scene type (Security/Album, etc.) |
enum
ReportType| Value | Actual Value | Description |
|---|---|---|
ReportType.DAILY | 1 | Daily report |
ReportType.WEEKLY | 2 | Weekly report |
enum
VisionEventType| Value | Actual Value | Description |
|---|---|---|
VisionEventType.PRESET | 0 | Preset event |
VisionEventType.CUSTOM | 1 | Custom event |
enum
SceneType| Value | Actual Value | Description |
|---|---|---|
SceneType.security | 0 | Security scenario |
SceneType.album | 1 | Gallery scenario |
Valid Values
AiVisualBox.visionBoxState
| Value | Description | Since |
|---|---|---|
0 | - | - |
1 | - | - |
AiVisualBox.generateDescState
| Value | Description | Since |
|---|---|---|
0 | - | - |
1 | - | - |
ReportType
| Value | Description | Since |
|---|---|---|
1 | Daily report | - |
2 | Weekly report | - |
VisionEventType
| Value | Description | Since |
|---|---|---|
0 | Preset event | - |
1 | Custom event | - |
SceneType
| Value | Description | Since |
|---|---|---|
0 | Security scenario | - |
1 | Gallery scenario | - |